Skip to main content

Get Sandbox All Leaderboard Config

GET 

/v1/sandbox/:sandbox_id/leaderboard

Get all leaderboard config for a specific sandbox

Requires any of permissions: sandbox:config:view, sandbox:config:edit

Request

Path Parameters

    sandbox_id uuidrequired

    Sandbox ID

Query Parameters

    page_size Page Size

    Possible values: >= 1 and <= 10000

    Default value: 50

    The maximum number of elements to be returned per call

    cursor Cursor

    Possible values: non-empty and <= 128 characters

    Default value: 0

    Cursor to designate where you are in iterating through values. Start with '0', and pass this on subsequent calls to continue iteration

Responses

Successful Response

Schema

    cursor Cursor (string)required

    Possible values: non-empty and <= 128 characters

    Cursor to designate where you are in iterating through values. Start with '0', and pass this on subsequent calls to continue iteration

    leaderboards

    object[]

    required

    Paged list of leaderboards

  • Array [

  • last_modified_account_id uuid

    Account ID of the user who last modified the resource

    last_modified_timestamp date-time

    Timestamp of when the resource was last modified

    created_timestamp date-time

    Timestamp of when the resource was created

    sandbox_id uuid

    ID of the Sandbox

    name Name (string)

    Possible values: non-empty and <= 125 characters

    Name of the resource

    description Description (string)

    Possible values: <= 250 characters

    Description of the resource

    custom_data

    object

    Custom data associated with the resource

    property name* string
    player_list PlayerListType (string)required

    Possible values: [GLOBAL, FRIENDS]

    An enumeration.

    max_size Max Size (integer)required

    Possible values: >= 1 and <= 10000

    The maximum number of players that will be a part of this leaderboard

    sort_order SortOrder (string)required

    Possible values: [asc, desc]

    An enumeration.

    source LeaderboardSourceType (string)required

    Possible values: [INVENTORY, RANK]

    An enumeration.

    source_id Source Id (string)required

    Either the rank id or item id for the data source of this leaderboard

    remove_restricted Remove Restricted (boolean)

    If banned players should be excluded from this leaderboard

    required_recent_login_days Required Recent Login Days (integer)

    Possible values: >= 1

    How recently a player must have logged in to be included in this leaderboard

    update_frequency_seconds Update Frequency Seconds (integer)

    Possible values: >= 60

    Default value: 300

    How frequently the data on the leaderboard will be updated

    expose_stat Expose Stat (boolean)

    Whether or not the stat which determines placements on the leaderboard should be exposed to clients

    expose_players Expose Players (boolean)

    Default value: true

    Whether or not specific player data should be saved for this leaderboard. If disabled, only the leaderboard meta data will be available.

    leaderboard_id uuidrequired

    Unique identifier for this leaderboard

  • ]

Loading...